View Issue Details

IDProjectCategoryView StatusLast Update
0002045Kali Linux[All Projects] Kali Package Bugpublic2015-02-09 01:51
Reporterrhertzog Assigned Tosbrun  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.1.0 
Summary0002045: open-vm-tools-dkms does not compile with Linux 3.18
DescriptionSince we switched to Linux 3.18, that package no longer builds the expected kernel modules.

Two patches seem to be needed:
https://www.mail-archive.com/pld-cvs-commit@lists.pld-linux.org/msg357569.html
https://github.com/rasa/vmware-tools-patches/blob/f7024cb8e6d833cff412c5144ebfa8123633b25d/patches/vmhgfs/vmhgfs-smp_mb_before_clear_bit-3.18-tools-9.9.0.patch

Activities

rhertzog

2015-02-05 11:09

administrator   ~0002994

Fixed in open-vm-tools 2:9.4.6-1770165-7kali1 that we just uploaded.

Issue History

Date Modified Username Field Change
2015-02-04 15:53 rhertzog New Issue
2015-02-04 15:53 rhertzog Status new => assigned
2015-02-04 15:53 rhertzog Assigned To => sbrun
2015-02-05 11:09 rhertzog Note Added: 0002994
2015-02-05 11:09 rhertzog Status assigned => resolved
2015-02-05 11:09 rhertzog Fixed in Version => 1.1.0
2015-02-05 11:09 rhertzog Resolution open => fixed